<?php

namespace Drupal\foldershare\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Empty field formatter implementation.
 *
 * @FieldFormatter(
 *   id = "foldershare_empty_formatter",
 *   label = @Translation("Empty formatter"),
 *   field_types = {
 *     "string",
 *   }
 * )
 */
class EmptyFieldFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    // Return an empty array to display nothing.
    return [];
  }

}
