<?php

namespace Drupal\foldershare\Plugin\Field\FieldWidget;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\WidgetBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'foldershare_widget' field widget.
 * The foldershare widget is not used for the foldershare field.
 * Since it is mandatory, it is defined.
 *
 * @FieldWidget(
 *   id = "foldershare_widget",
 *   label = @Translation("FolderShare Widget"),
 *   field_types = {
 *     "foldershare_field"
 *   }
 * )
 */
class FolderShareWidget extends WidgetBase {

  /**
   * {@inheritdoc}
   */
  public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state) {
    // Noting to do here, just return form element as it is.
    return $element;
  }

}
